Bug 1808966 - Set volume option when one of the node is powered off, After powering the node brick processes are offline
Summary: Set volume option when one of the node is powered off, After powering the nod...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Sanju
QA Contact:
URL:
Whiteboard:
Depends On: 1773856
Blocks: 1763030 1808964
TreeView+ depends on / blocked
 
Reported: 2020-03-02 06:26 UTC by Sanju
Modified: 2020-04-22 11:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1773856
Environment:
Last Closed: 2020-03-16 12:57:47 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 24194 0 None Merged glusterd: Brick process fails to come up with brickmux on 2020-03-16 12:57:46 UTC

Comment 1 Sanju 2020-03-02 07:29:15 UTC
Description of problem:
On a three node cluster with brick-mux enabled, Power off one of the nodes in the cluster and perform any volume set operation on 5 volumes "performance.client-io-threads on". After setting the option power on the node.
After powering on bricks are offline on most of the volumes.


Version-Release number of selected component (if applicable):
glusterfs-6.0-18.el7rhgs.x86_64
glusterfs-6.0-17.el7rhgs.x86_64

How reproducible:
2/2

Steps to Reproduce:
1. On a three cluster with brick mux enabled, create 25 volumes and start mount 5 volumes
2. Power off one node say N1 in the cluster
3. Set a volume option on 5 volumes.
4. Power on the node(N1) which is turned off

Actual results:
After powering on, the volume option is updated on the volumes on Node N1 and bricks are offline for most of the volumes on N1

Expected results:
After powering on, bricks should be online on N1 and the volume option should be updated for the volumes.

Comment 2 Worker Ant 2020-03-02 09:17:55 UTC
REVIEW: https://review.gluster.org/24194 (glusterd: Brick process fails to come up with brickmux on) posted (#1) for review on release-6 by Sanju Rakonde

Comment 3 Worker Ant 2020-03-16 12:57:47 UTC
REVIEW: https://review.gluster.org/24194 (glusterd: Brick process fails to come up with brickmux on) merged (#2) on release-6 by Sanju Rakonde


Note You need to log in before you can comment on or make changes to this bug.